#ifndef DOWNLOADER_H
#define DOWNLOADER_H

#include <QObject>
#include <QString>
#include <QTimer>
#include <QProcess>

class downloader : public QObject
{
    Q_OBJECT

public:
    downloader(int ID, int usefix, QString url, QString output);
public slots:
    void pollProcess();

signals:
    void valueChanged(int ID, int percent1, int percent2, int err, QString errmsg);

private:
    //Q_DISABLE_COPY(downloader)
    QTimer *timer;
    QString outputfile;
    QString outputstring;
    QString filename;
    QProcess script;
    int progress1,progress2;
    int ID;
    int usefix;
};


#endif // DOWNLOADER_H
