#ifndef MAINWINDOW_H
#define MAINWINDOW_H

#include <QtGui/QMainWindow>
#include <QTimer>
#include <QProcess>
#include "searchwindow.h"
#include "downloader.h"

namespace Ui
{
    class MainWindow;
}

class MainWindow : public QMainWindow
{
    Q_OBJECT

public:
    MainWindow(QWidget *parent = 0);
    ~MainWindow();
public slots:
    void DialogOpen();
    void StartProcessing();
    void fileSelected(const QString &file);    
    void startSearch();
    void valueChanged(int ID, int percent1, int percent2, int err, QString errmsg);

private:

    void StartProcessing2(int onlyone);
    void calculateProgress();

    QTimer *timer;

    int totalfilecount;
    int completed;
    Ui::MainWindow *ui;
    int threadActive[5];
    int progress[5];
    downloader *downloads[5];

    searchWindow *search;
    int multiple;
};

#endif // MAINWINDOW_H
